<?xml version="1.0" encoding="iso-8859-15"?>

<ChangeLog logiciel="V_Sim" lang="fr">

	<milestone version="3.6" date="( venir)">
	<intro>Ensemble des changements amenant  la branche 3.6.x.</intro>

	<entry titre="Development version 3.5.99-4">
	<li type="interface">Affiche les coordonnes en valeurs cartsiennes ou en valeurs rduites dans la fentre de rendu (cf. le panneau de configuration).</li>
	<li type="interface">Conserve le niveau de zoom entre deux fichiers si la bote change de taille (cf. l'option du panneau de gomtrie).</li>
	<li type="rendering">Modifie les cartes colores pour utiliser un maillage adaptatif. La lgende affiche aussi dsormais des repres pour les valeurs d'isoligne..</li>
	<li type="interface">Ajoute des raccoursis claviers pour les paramtres de la camra de la zone de rendu..</li>
	<li type="fileFormat">Ajoute un support partiel des densits aux format XSF.</li>
	<li type="fileFormat">Ajoute une exportation au format ABINIT pour la partie cristal.</li>
	<li type="rendering">Ajoute une option de transparence pour le rendu des cartes colores.</li>
	</entry>

	<entry titre="Development version 3.5.99-3">
	<li type="capability">Dbut de support de GObject-Introspection, permettant le scriptage (en Python, Javascript, ...).</li>
	<li type="interface">La fentre relative  ABINIT propose maintenant de choisir diffrentes valeurs de tolsym et liste l'ensemble des symtries du systme avec leur nom.</li>
	<li type="interface">Ajoute une barre de progression lors du chargement d'un fichier trop long ainsi qu'un moyen d'annuler un chargement en cours.</li>
	<li type="interface">V_Sim respecte maintenant la spcification FreeDesktop relative aux icnes.</li>
	<li type="fileFormat">Dmonstration des possibilits de scriptage Python au travers du support des fichiers CNT de VASP.</li>
	<li type="interface">Ajoute des raccoursis claviers  la fentre de rendu (exporter, recharger et ouvrir).</li>
	<li type="capability">Ajoute la possibilit en ligne de commande d'exporter dans les formats connus d'OpenBabel.</li>
	<li type="rendering">Modifie la fentre de dialogue des liaisons pour permettre la dnition liaison par liaison des mthodes de rendu. On peut maintenant utiliser en mme temps les liaisons filaires et les liaisons cylindriques.</li>
	</entry>

	<entry titre="Development version 3.5.99-2">
	<li type="capability">Ajoute le calcul d'un g(r) et ajoute une interface pour la visualiser dans la fentre des liaisons. Les chelles linaire et logarithmique sont disponibles, ainsi qu'un filtrage sur les types de liaisons.</li>
	<li type="interface">Trie les liaisons par longueur.</li>
	<li type="fileFormat">Exporte les diffrences de gomtrie dans le format ASCII en temps que mot-clef.</li>
	<li type="fileFormat">Ajoute un mot-clef dans le format ASCII pour stocker une valeur d'nergie. Cette valeur est utilise pour coloriser les chemins.</li>
	<li type="fileFormat">tend le format XML de V_Sim en ajoutant les chemins.</li>
	<li type="interface">Montre un message plus clair dans le navigateur de fichiers lorsque le parcours du disque est trop long.</li>
	<li type="capability">Ajoute une option de ligne de commande pour borner les valeurs pour la carte de coleurs.</li>
	<li type="capability">Ajoute un format d'exportation purement vectoriel en PDF grce  Cairo.</li>
	<li type="capability">Ajoute le support du brouillard dans les exportations vectorielles.</li>
	<li type="capability">Ajoute la colorisation par fichier de donnes lors d'une exportation vectorielle.</li>
	</entry>

	<entry titre="Development version 3.5.99-1">
	<li type="fileFormat">Ajoute une ressource pour modifier le rayon de la sphre de mise en valeur.</li>
	<li type="rendering">Implmente une lgende donnant la taille de la bote.</li>
	<li type="fileFormat">Implmente une exportation au format CIF au travers d'OpenBabel.</li>
	<li type="interface">Implmente l'ajout automatique de deux surfaces en un clic dans le cas d'un fichier de fonctions d'ondes. La colorisation est aussi choisie astucieusement.</li>
	<li type="interface">Utilise les dgrads pour la colorisation des liaisons en fonction de la longueur.</li>
	<li type="rendering">Ajoute une fonction de visualisation de chemins.</li>
	<li type="interface">Renomme l'onglet  bote  en  gomtrie  pour y mettre toutes les actions relatives  la gomtrie, i.e. les translations, l'expansion, les units, les chemins...</li>
	</entry>
        </milestone>

	<milestone version="3.5" date="(10/2009)">
	<intro>Ensemble des changements autour de la branche 3.5.x.</intro>

	<entry titre="Corrections 3.5.3 | sortie le //">
	<li>Corrige un bug affectant la borne suprieur des slecteur d'identifiants de noeuds aprs un changement de base.</li>
        <li>Corrige la position des atomes en mode de rendu spin.</li>
	<li>Corrige les erreurs de compilation signales par GCC >= 4.4 (merci  Thierry Thomas pour son patch).</li>
	<li>Corrige un crash lors du chargement d'un fichier cube avec des numros atomiques hors limites.</li>
	<li>Corrige l'absence d'affichage des informations sur les noeuds aprs une exportation en image.</li>
	</entry>

	<entry titre="Corrections 3.5.2 | sortie le 22/09/2010">
	<li>Corrige un problme de mise  jour de la lgende lors du chargement d'un fichier avec un nombre variable de noeuds par lments.</li>
	<li>Corrige un crash lors d'une exportation en ligne de commande.</li>
	<li>Corrige une erreur de classement dans le navigateur de fichiers pour les fichiers  multiple jeu de donnes.</li>
        <li>Amliore l'affichage des modifications dans la fentre  propos.</li>
	<li>Corrige le positionnement des atomes dans le cas de botes non ortho-rhombic dans des fichiers XSF.</li>
	<li>Ajoute les coordonnes rduites dans le cas des fichiers XYZ priodiques.</li>
	<li>Positionne correctement les atomes dupliqus en conditions aux bords libres.</li>
	<li>Corrige une boucle bloquante dans la fentre de dialogue d'exportation dans le cas d'un choix errone de format de fichier.</li>
	<li>Associe correctement la colorisation aux noeuds dans le cas o ceux-ci ne sont aps tris dans le fichier d'entre.</li>
        </entry>

        <entry titre="Corrections 3.5.1 | sortie le 26/02/2010">
	<li>Corrige plusieurs messages d'avertissement concernant en vrac, le slecteur de couleur, l'affichage de textes dans la zone de rendu OpenGL ou le chargement de fixhiers XML de donnes.</li>
	<li>Empche l'exportation de largeurs de liaison suprieures  10.</li>
	<li>vite d'afficher des avertissements au chargement d'un fichier de donnes contenant des informations partielles.</li>
	<li>Raffiche correctement les surfaces masques lorsque les plans ne sont plus utiliss.</li>
	<li>Permet le chargement de fichiers XYZ ayant des colonnes supplmentaires dans un format diffrent de celui d'un fichier de vibration.</li>
	<li>Corrige une erreur empchant l'ouverture d'une fentre de dialogue lors d'une erreur d'exportation.</li>
	<li>Corrige une erreur dans la lecture des fichiers cube, sur la position des atomes, lorsque les botes ne sont pas orthorombiques.</li>
	<li>Corrige une erreur de segmentation dclenche par la touche r alors qu'aucune camra n'a t sauvegarde.</li>
	<li>Corrige la dfinition des super-cellules dans le cas non-orthorombic pour le greffon OpenBabel. Merci  Atz Togo pour son patch.</li>
	<li>Corrige une mauvaise lecture des fichiers ASCII sous Macintosh et Windows.</li>
	<li>Corrige les problmes de fichiers lis  l'utilisation de l'action ouvrir avec sous Windows.</li>
	</entry>

	<entry titre="Version de dveloppement  3.5.0-rc1">
	<li type="fileFormat">Ajoute le support des angles dans les fichiers de valeurs XML.</li>
	<li type="interface">Les bulles d'aide du navigateur montrent les rpertoires prcdents et suivants.</li>
	<li type="capability">Dessine une lgende lors de l'exportation SVG.</li>
	<li type="capability">Ajoute un moyen de changer la base en pointant des atomes comme nouveaux sommets.</li>
	<li type="fileFormat">Dclare dans le fichier ressources tous les paramtres de rglage du diff gomtrique (forme et longueur des flches, seuils...).</li>
	<li type="fileFormat">Prend en compte les conditions aux bords pour choisir correctement le haut de la bote (l'axe y est l'axe du nord dans les fichiers surface).</li>
	<li type="interface">Ajoute un onglet dans la fentre interactive donnant accs aux informations de symtries, calcules par ABINIT (groupe d'espace, atomes quivalents...).</li>
	<li type="interface">Ajoute un raccoursis clavier utilisant la touche home pour passer d'une fentre  l'autre.</li>
	<li type="rendering">Corrige les dfauts visuels sur le rendu des liaisons cylindriques.</li>
	</entry>

	<entry titre="Version de dveloppement  3.4.99-4">
	<li type="fileFormat">Ajoute un support des phonons dans le format ASCII.</li>
	<li type="capability">Implmente l'animation des phonons dans les solides, en prenant en compte la partie imaginaire des dplacements atomiques et la phase introduite par the produit q.r.</li>
	<li type="interface">Apparition d'une icne cliquable dans la fentre de rendu donnant accs aux positions sauvegardes de la camra.</li>
	</entry>

	<entry titre="Version de dveloppement  3.4.99-3">
	<li type="capability">Implmente une faon de visualiser les diffrences de positions entre deux fichiers en affichant des petites flches sur les noeuds..</li>
	<li type="capability">Ajoute le support d'tiquettes associes aux noeuds. Ces tiquettes peuvent tre affiches comme sont affichs les types ou les numros des noeuds. On peut modifier ces tiquettes dans la fentre de dialogue de slection.</li>
	<li type="fileFormat">Modifie le format pour permettre l'ajout d'tiquettes sur les noeuds.</li>
	<li type="interface">Ajoute des boutons  prcdent  et  suivant  dans le navigateur.</li>

	<li type="capability">Ajoute une reprsentation des phonons grce  une visualisation des vibrations ou grce  des petites flches.</li>
	<li type="capability">Implmente la colorisation en fonction des coordonnes.</li>
	<li type="rendering">Ajoute une reprsentation des angles.</li>
	<li type="fileFormat">Ajoute le support des tiquettes dans les fichiers ASCII.</li>
	<li type="fileFormat">Ajoute un mot clef de condition aux bords pour les fichiers ASCII.</li>
	<li type="fileFormat">Lit une colonne pour les phonons dans les fichiers XYZ.</li>
	<li type="interface">Ajoute un onglet pour la repsentation des phonons, la liste des modes disponibles et quelques paramtres de rglage.</li>
	<li type="interface">Change la slection  la souris pour faciliter l'accs  l'outil de mesure. Ajoute aussi quelques boutons dans la fentre de rendu pour mesurer ou annuler.</li>
	<li type="capability">Ajoute un facteur d'chelle  la reprsentation des noeuds dans l'onglet de colorisation.</li>
	<li type="rendering">Implmente une lgende affichant un cadre avec le nom des lments, leur nombre et leur reprsentation.</li>
	<li type="rendering">Ajoute une repsentation torique en plus des reprsentations existantes (ellipse, cube...).</li>
	</entry>

	<entry titre="Version de dveloppement  3.4.99-2">
	<li type="capability">Ajoute une possibilit de masquer les noeuds non mis en vidence.</li>
	<li type="capability">Implmente le support pour plusieurs carte colores en mme temps.</li>
	<li type="rendering">Dessine les bords des plans colors de faon lisses avec un surlignage noir.</li>
	<li type="interface">Ajoute une capacit de glisser-dposer  la zone de rendu OpenGL pour charger un fichier.</li>
	<li type="fileFormat">Modifie le format de fichier ASCII pour permettre de rentrer les coordonnes en units rduites et de dfinir la bote en suivant la longueur. des vecteurs de base et leurs angles.</li>
	<li type="capability">Cre une exportation pour les plans de coupe colors, soit au format PDF, soit au format SVG.</li>
	<li type="interface">Modifie le comportement des touches 's' et 'r' pour sauvegarder ou restaurer la position de la camera pour fonctionner comme un anneau  la place de ne conserver qu'une unique position.</li>
	<li type="capability">Ajoute une exportation au format XYZ.</li>
	<li type="interface">Implmente dans l'onglet  bote  la possibilit de changer rapidement les distances entre les noeuds suivant des units habituelles (bohr, angstrms...).</li>
	<li type="interface">Dans l'onglet de modification de gomtrie, ajoute une possibilit de duplication des noeuds lists.</li>
	</entry>

	<entry titre="Version de dveloppement 3.4.99-1">
	<li type="capability">Dbut d'criture de fichiers de liaison pour l'appel de V_Sim depuis Python. Il est possible de crer une fentre de rendu, d'y charger un fichier ou encore de construire directement des lments, des noeuds ou un systme atomique. Les plans sont aussi fonctionnels.</li>
	<li type="fileFormat">Implmentation d'un greffon pour le support des fichiers Cube de Gaussian, utiliss entre autre aussi dans SIESTA.</li>
	<li type="capability">Extension du format de fichier XML grant les plans. Celui-ci peut maintenant stocker d'autre valeur interne  V_Sim, comme les noeuds mis en vidence, les valeurs des iso-surfaces cres ou les distances mesures.</li>
	<li type="fileFormat">Ajout du support des fichiers D3 posi (concatnation de fichiers D3, utilis par exemple pour la ralisation de films).</li>
	<li type="interface">Suppression de l'onglet des  mises en vidences , fonction transfre dans l'onglet de slection grce  l'ajout de la touche Control. Meilleure interaction entre les noeuds slectionns et les noeuds mis en vidence (possibilit de passer de l'un  l'autre).</li>
	<li type="interface">Ajout d'une possibilit de tri dans la liste des noeuds slectionns (tri sur l'identifiant ou sur le genre).</li>
	<li type="interface">Ajout d'une colonne affichant la date des fichiers dans le navigateur.</li>
	<li type="capability">Ajout des dgrads non linaires, d'une chelle logarithmique adapte aux donnes centres autour de zro et ajout de la possibilit de choisir la couleur des isolignes.</li>
	<li type="interface">Rorganisation partielle de la fentre de dialogue des liaisons (le filtre a t dplac en haut et les boutons d'ajout et de suppression sont maintenant  droite de la liste des liaisons).</li>
	</entry>
	</milestone>

	<milestone version="3.4" date="(06/2008)">
	<intro>Ensemble des changements autour de la branche 3.4.x.</intro>

	<entry titre="Corrections 3.4.4 | sortie le 03/06/2009">
	<li>Corrige le disfonctionnement de l'option -d lorsqu'elle est utilise en mme temps que l'option -u.</li>
	<li>Corrige plusieurs fuites mmoires intervenant durant la lecture de fichiers d'entre ou dans certaines routines de dessin.</li>
	<li>Rend les touches 's' et 'r'  nouveau oprantes aprs l'ouverture d'une fentre de dialogue depuis la fentre de rendu.</li>
	<li>Corrige un crash quand on supprime des noeuds avec des marques de distances.</li>
	<li>Corrige la fonction de rechargement automatique, casse dans les versions 3.4.x.</li>
	<li>Corrige l'affichage des chemins dans le navigateur quand des caractres UTF-8 sont utiliss.</li>
	<li>Corrige un saut de la camra dans le mode interactif lors d'un clic droit avec dplacement.</li>
	<li>Termine aussi une session interactive lorsque la fentre de dialogue est ferme par l'intermdiaire du gestionnaire de fentre.</li>
	<li>Dconnecte les signaux dans le dialogue de choix de l'orientation lorsque l'object est dtruit.</li>
	</entry>

	<entry titre="Corrections 3.4.3 | sortie le 16/02/2009">
	<li>Modifie la fentre de slection de spin pour corriger un problme de validation.</li>
	<li>Corrige un problme de dessin des liaisons cylindriques sous certaines conditions.</li>
	<li>Supprime plusieurs "assertion fails" au chargement d'un nouveau fichier.</li>
	<li>Rend fonctionnel le choix  tous les lments  dans l'onglet  lments  pour les paramtres atomiques en mode rendu de spins.</li>
	<li>Corrige le probl du caract tabulation dans les fichiers ASCII.</li>
        </entry>

        <entry titre="Corrections 3.4.2 | sortie le 08/12/2008">
        <li>Corrige un disfonctionnement dans la fentre des liaisons lorsque la fonction de trie est utilise. Les modifications effectues dans le treeview sont alors incohrentes..</li>
	<li>Corrige un problme dans le mode marcheur pour la visualisation o la bote disparat parfois.</li>
	<li>Corrige l'expansion des noeuds qui amne dans certains cas  dupliquer le mme noeud plusieurs fois au mme endroit.</li>
	<li>Corrige le comportement inattendu quand on slectionne une zone de 0 pixel de ct.</li>
	<li>Corrige le nombre affich de noeuds slectionns dans l'onglet de modification de la gomtrie.</li>
        <li>Corrige l'erreur  la lecture du fichier de ressources quand le rayon des liaisons cylindrique est gal au rayon minimum.</li>
        <li>Implmente l'exportation des motifs pour les liaisons filaires.</li>
        </entry>
	
        <entry titre="Corrections 3.4.1 | sortie le 29/08/2008">
	<li>Corrige plusieurs Critical Warnings dans la routine drawDataOnNode() dans la fentre d'interaction.</li>
	<li>Corrige un crash quand les donnes courantes disparaissent dans la fentre de dialogue interactive.</li>
	<li>Corrige les permissions lors de la cration du rpertoire de cionfiguration de V_Sim.</li>
	<li>Corrige un bug dans l'affichage du menu des onglets.</li>
	<li>Change la faon de trouver le nom d'un module depuis son nom de fichier pour prendre en charge les modules du type toto.1.0.1.so.</li>
	<li>Corrige un problme  l'dition des liens sous MacOS  cause de variables dans les .h.</li>
	<li>Contourne le crash lors de l'exportation en image pour les serveur X fonctionnant avec AIGLX et une version de GLX antrieure  la 1.3.</li>
        </entry>
	
	<entry titre="Version stable 3.4.0">
        <li>3.4.0.1 : corrige une erreur de segmentation dans le greffon
        pour ABINIT.</li>
        <li>3.4.0.2 : corrige une erreur de segmentation lorsqu'un objet
        VisuData est dtruit.</li>
        <li>3.4.0.2 : ajoute un filtre XML sur les fichiers dans le
        slecteur pour les plans.</li>
        <li>3.4.0.2 : corrige un bug dans le slecteur de coleurs pour les
        surfaces.</li>
        <li>3.4.0.2 : importe le rpertoire debian depuis l'archive
        officielle et le modifie pour l'adapter  la version 3.4.0 (fait 
        l'origine pour la 3.3.3).</li>
	<li>3.4.0.3 : fait pointer le rpertoire legaldir sur datadir.</li>
	<li>3.4.0.3 : modifie l'installation des greffons pour viter de
        copier des fichiers quand les greffons ne sont pas compils. Dplace
        aussi les images dans le rpertoire pixmapsdir.</li>
        </entry>

	<entry titre="Version de dveloppement 3.4-rc2">
	<li>Ajoute les axes dans l'export SVG.</li>
	<li>Corrige quelques bugs (la vignette de prvisualisation, le chargeur d'ABINIT) et termine la traduction.</li>
	</entry>

	<entry titre="Version de dveloppement 3.4-rc1">
	<li>Implmente la possibilit d'afficher des images en fond de la zone de rendu.</li>
	<li>Modifie le fonctionnement du zoom lors de l'extension d'une bote, la vue reste maintenant la mme.</li>
	</entry>

	<entry titre="Version de dveloppement 3.3.99-4">
	<li>Ajoute le trac de lignes d'iso-valeurs sur la carte de couleurs.</li>
	<li>Implmentation d'une slection de groupe ainsi que d'un dplacement de groupe dans la fentre d'actions interactives.</li>
	<li>Amlioration du greffon XSF. Il est maintenant possible de lire les vecteurs associs aux n~uds (pour dessiner les forces ou des spins).</li>
	<li>Il est possible de compiler V_Sim avec le parser d'ABINIT, permettant ainsi de lire directement les fichiers d'entre de celui-ci. Pour cela, il faut une version modifie du code ABINIT qui devrait tre publiquement disponible  partir des versions 5.6.x. Les datasets sont pris en compte ainsi que le systme de construction de gomtrie. Dans ce cas, la bote rsultante est affiche. La limitation actuelle est quand nband doit tre calcul. Comme les fichiers de pseudo-potentiels ne sont pas chargs, il n'est pas possible alors de connatre nelect.</li>
	<li>Ajoute un systme permettant d'estimer un encadrement pour les liaisons premiers voisins d'un systme.</li>
	<li>Possibilit de dessiner des liaisons filaires et la bote avec un motif.</li>
	</entry>

	<entry titre="Version de dveloppement 3.3.99-3">
	<li>Implmentation minimale d'un greffon lisant les fichiers de position XSF.</li>
	<li>Ajout d'une possibilit de trac des plans colors en utilisant une chelle logarithmique.</li>
	<li>Modification du parseur XYZ pour lire les fichiers d'animation. Le navigateur a t modifi en consquence pour afficher les diffrentes positions dans un mme fichier.</li>
	<li>R-implmentation de la vision stro (supprime depuis la version 3.0.0). Les paramtres, comme l'cartement des yeux, sont rglables dans le panneau OpenGL.</li>
	<li>Ajoute le support du dplacement de la camra au clavier dans le mode d'observation de la fentre de rendu. Les touches Page-Suivante et Page-Prcdente servent pour le zoom. La touche  s  permet de  sauvegarder en mmoire la position courante de la camra . En contre-partie, la touche  r  permet de revenir dans la dernire position sauvegarde.</li>
	<li>Implmentation d'un maillage non uniforme pour la grille d'un champ scalaire.</li>
	<li>Support minimal de l'exportation en SVG. Pour le moment, la bote et les n~uds seulement sont dessins.</li>
	</entry>

	<entry titre="Version de dveloppement 3.3.99-2">
	<li>Modification possible des coordonnes dans le tableaux des n~uds
	slectionns (comme a l'tait pour les informations de spin ou les
	donnes de colorisation). Ajoute la possibilit d'afficher sur les atomes
	des informations.</li>
	<li>Meilleure intgration de la bibliothque OpenBabel, grce 
	l'utilisation du symbole atomique  la place de son tiquette.
	Utilisation aussi des couleurs et du rayon atomique d'OpenBabel quand
	l'lment n'est pas dj connu de V_Sim. Enfin, les liaisons sont traces
	dans la mesure du possible en suivant les indications du fichier
	d'entre.</li>
	<li>Ajout d'un filtre dans la fentre des liaisons permettant de
	n'afficher que celles contenant une espce chimique particulire.</li>
	<li>Implmentation d'une faon de rpliquer la bote dans le cas
	de systmes priodiques. Adaptation des autres fonctionnalits de V_Sim  la duplication (agrandissement des plans et des cartes de couleurs, rplication des informations de colorisation, trac pointill des botes rpliques...).</li>
	<li>Sparation de l'onglet bote &amp; axe en deux onglets spars. Dplacement
	aussi de la gestion des translations priodiques dans le nouvel onglet bote.
	Ajout enfin dans ce nouvel onglet de la gestion de la rplication.</li>
	<li>Ajoute la capacit d'utiliser en ligne de commande la duplication ainsi que les cartes de couleur.</li>
	<li>Modification de l'onglet de gomtrie dans la fentre d'actions
	de la souris pour permettre l'ajout ou la suppression de n~uds.</li>
	<li>Support de GtkGlExt comme alternive  l'utilisation du widget interne OpenGL.</li>
	<li>Ajoute une prvisualisation dans la fentre d'ouverture d'un fichier.
        La bote et les lments sont simplement dessins dans l'tat courant de la
	camra.</li>
	<li>Implmentation d'un mode de rendu  lisse soulign  affichant
	un trait autour des polygones.</li>
	<li>Rend lisse le masquage par les plans des surfaces en ajoutant des
	polygones o ncessaire pour viter d'avoir des bords en dentelles.</li>
	<li>Amliore la vitesse de chargement du navigateur et ajoute une
	possibilit de chargement en un clic pour les mthodes de rendu  multiple
	fichiers comme le rendu de spin.</li>
	<li>Utilise maintenant la spcification XDG pour l'emplacement
	des fichiers de configuration personnels. Le prcdent repertoire
	$HOME/.v_sim est toujours lu nanmoins.</li>
	</entry>

	<entry titre="Version de dveloppement 3.3.99-1">
	<li>Modifie la gestion des ressources des surfaces dans l'onglet : chaque surface peut maintenant ne plus avoir de nom. Dans ce cas, ses proprits ne sont pas partages avec d'autres surfaces. Les deux fentres de dialogue permettant de changer les ressources (anciennement  modifier la surface courante  et  modifier toutes ) ont t fusionnes. Un boutton particulier a t ajout dans l'onglet pour permettre l'ajout de plusieurs surfaces en mme temps (comme dans le dialogue de construction). Le boutton supprimer commence maintenant par retirer toutes les surfaces d'un champ scalaire avant de retirer le champ lui-mme.</li>
	<li>Premire implmentation de l'effet de masquage des plans sur les surfaces.</li>
	<li>Rend l'effet masquant des plans slectif par surface et par lment (voir la colonne ad hoc de l'onglet surface ou la case  cocher de l'onglet lment).</li>
	<li>Les distances sont modifiables directement dans la liste dans la fentre de gestion des liaisons. Une colonne a t ajoute permettant d'afficher par type de liaison les distances.</li>
	<li>Ajout d'une option dans l'onglet de navigation permettant de visualiser rcursivement le contenu d'un rpertoire. Ajout aussi de la capacit de naviguer dans plusieurs rpertoires en mme temps.</li>
	<li>Implmentation d'un nouveau dialogue permettant de choisir l'orientation de trois faons diffrentes : l'une dans un repre orthonormal, une autre dans le repre de la bote ou enfin en suivant les coordonnes sphriques.</li>
	</entry>
	</milestone>


	<milestone version="3.3" date="(03/2007)">

	<intro>Ensemble des changements ayant aboutis  la branche 3.3.x.</intro>

        <entry titre="Corrections 3.3.3 | sortie le 20/05/2008">
	<li>Correction de la position de la camra quand la fentre n'a pas un rapport d'aspect unitaire.</li>
	<li>Correction d'une fuite de mmoire lors de l'exportation en image avec la XLib.</li>
	<li>Correction d'une fuite mmoire dans le dialogue de sauvegarde des prfrences.</li>
        </entry>

        <entry titre="Corrections 3.3.2 | sortie le 01/04/2008">
	<li>Ajout d'une page de manuel.</li>
	<li>Utilisation d'un format correct pour le fichier v_sim.ini sous Windows.</li>
	<li>Correction d'un bug empchant la lecture des fichiers D3 sous Windows.</li>
	<li>Correction d'un bug lorsque le rpertoire racine est choisi (dans le navigateur par exemple).</li>
        <li>Correction d'un bug empchant le lancement de V_Sim sur MacOSX et sur Linux avec carte Intel.</li>
        </entry>

	<entry titre="Corrections 3.3.1 | sortie le 15/11/2007">
	<li>Correction d'un bug dans l'outil de colorisation o le choix de la normalisation n'tait pas conserv lors d'un chargement automatique.</li>
	<li>Correction d'un bug affectant les botes non orthogonales (aussi bien la structure atomique que les champs scalaires).</li>
	<li>Correction d'un bug dans la lecture des fichiers D3.</li>
	<li>Corrige un erreur interne impliquant un surnombre d'association de signaux aux objects VisuData.</li>
	</entry>

	<entry titre="Version de dveloppement 3.3.0-rc1">
	<li>Ajout d'un rendu sous forme de points des lments en mode atomique pour afficher une grille ou obtenir un rendu plus rapide.</li>
	<li>Utilisation d'un format binaire pour la description de l'orientation des spins.</li>
	<li>Meilleure gestion des fentres entre elles : la fentre de commande est mise peut tre place au-dessus  partir de la fentre de rendu par exemple.</li>
	<li>Lgre refonte de la fentre de sauvegarde des ressources : on peut maintenant sauvegarder uniquement les ressources en rapport avec l'objet dessin.</li>
	<li>Fin de l'implmentation de la fonction de dtachement des onglets. Leur position et leur taille sont maintenant modifiables et enregistres dans le fichier de paramtres.</li>
	</entry>

	<entry titre="Version de dveloppement 3.2.99-5">
	<li>Modification des scripts de construction pour permettre la compilation des greffons sous Windows.</li>
	<li>Modification de la gestion de la transparence des iso-surfaces, possibilit de ne recalculer celle-ci qu' la fin d'un mouvement et non tout le long.</li>
	<li>Plusieurs corrections de bug (lecture des ressources des iso-surfaces, calcul des normales aux surfaces, rechargement automatique d'un fichier).</li>
	<li>Amlioration de la gestion du nom des surfaces et des proprits de couleurs associes (passage en ligne de commande du nom des surfaces  crer dans l'option -v). Modification dans ce mme onglet du comportement des boutons de slection pour permettre d'appliquer les changements  l'ensemble des surfaces d'un mme fichier.</li>
	<li>Enregistrement de l'option de rendu d'un plan dans le fichier XML.</li>
	<li>Mise  jour des fichiers de traduction pour la future version 3.3. La traduction franaise est complte (ou supose).</li>
	</entry>

	<entry titre="Version de dveloppement 3.2.99-4">
	<li>Implmentation du support des champs scalaires encods selon le format de fichier dfini par Nanoquanta. Pour le moment, seul les champs scalaires rels (densits) sans information de spin sont chargeables. La lecture de fichiers Nanoquanta v1.3 est dsormais possible.</li>
	<li>Ajout d'un onglet permettant le dessin de plans colors en fonction d'un champ scalaire charg. Une lgende de l'chelle de couleur est aussi dessine.</li>
	<li>Chargement automatique de fichiers de densit ou de surface et passage des options de dessin des surfaces en ligne de commande.</li>
	<li>Gestion plus centralise et uniforme des couleurs et des informations sur la lumire.</li>
	</entry>

	<entry titre="Version de dveloppement 3.2.99-3">
	<li>Support des fonctionnalits en rapport avec les iso-surfaces par la ligne de commande.</li>
	<li>Ajout du support des fichiers de potentiel et de densit directement dans l'onglet de gestion des isosurfaces. Le passage par l'outil de conversion n'est plus ncessaire. Implmentation aussi de la fonction permettant d'afficher plusieurs surfaces de fichiers/sources diffrents, directement dans l'onglet.</li>
	<li>Ajout de la fonction d'ajout/suppression d'isosurfaces  la vole dans l'onglet surfaces. La fonction d'ajout ne fonctionne que pour les fichiers de densit/potentiel.</li>
	<li>Support complet des onglets dtachables et associables.</li>
	</entry>

	<entry titre="Version de dveloppement 3.2.99-2">
	<li>Prise en charge du module dans le mode de rendu spin permettant de tracer des champs vectoriels avec toutes leurs informations (direction et norme). Les objets dessins en mode spin sont alors mis  l'chelle en fonction de la valeur du module lue dans le fichier d'entre de spin.</li>
	<li>Fin de l'implmentation du la couche d'interface avec la bibliothque OpenBabel. Tous les formats supports en lecture par OpenBabel sont maintenant lisible dans V_Sim.</li>
	<li>Cration d'un outils pour visualiser et manipuler les donnes associes aux noeuds comme les informations de colorisation ou encore la direction et le module en mode spin. Dans ce mode, ces valeurs sont modifiables  la vole.</li>
	<li>Changement dans l'enregistrement des ressources lies au mode de spin. Il est conseill de renregistrer ses fichiers de ressources car trois mots-clefs sont devenus obsoltes.</li>
	<li>Quelques amliorations de l'interface.</li>
	</entry>

	<entry titre="Version de dveloppement 3.2.99-1">
	<li>Ajout du support de greffons. Ceux-ci se chargent automatiquement ds qu'ils se trouvent dans le rpertoire d'installation ou dans le rpertoire utilisateur ${HOME}/.v_sim.</li>
	<li>Implmentation partielle de la norme NANOQUANTA v1.2 permettant le chargement de positions atomiques (greffon).</li>
	<li>Interfaage avec la bibliothque OpenBabel, mais rien n'est charg pour le moment (greffon).</li>
	<li>Dbut d'implmentation de la fonctionnalit de dtachement des onglets.</li>
	<li>Remplacement du hack de la zone de rendu OpenGL par une implmentation minimale d'un widget OpenGL. Ceci  pour consquence la suppression du support du backingstore, remplac par une gestion des vnements  expose .</li>
	<li>Amlioration de l'option de rendu spin  hiding-mode , permettant de choisir entre l'affichage permanent des spins, le masquage des spins de moment nul ou le rendu atomique pour ces derniers.</li>
	<li>Support du rendu atomique en plus du rendu spin.</li>
	<li>Ajout en mode spin et en mode atomique d'une forme lipsodale.</li>
	<li>Support continu de la mesure de distances (aussi bien en mode courant que dans la fentre d'observation).</li>
	</entry>
	</milestone>


	<milestone version="3.2" date="(05/2006)">

	<intro>Ensemble des changements ayant donn lieu  la branche 3.2.x.</intro>

  <entry titre="Corrections 3.2.1 | sortie le 10/09/2006">
  <li>Correction d'un bug de lecture dans la fentre de dialogue de convertion des isosurfaces, lorsqu'un fichier de densit/potentiel est charg.</li>
  <li>Correction d'un plantage lors de l'utilisation des donnes lies  la bote et aux axes alors qu'aucun fichier n'est charg.</li>
  <li>Correction d'un plantage dans l'onglet des isosurfaces lorsqu'on fait dfiler la liste alors qu'elle n'a qu'une unique entre.</li>
  <li>Correction d'un plantage dans l'onglet de colorisation.</li>
  <li>Correction d'un bug des machines 64bits empchant la rotation de la camra dans la fentre d'observation.</li>
  <li>Correction d'une faute d'orthographe dans la traduction franaise.</li>
  </entry>
  
	<entry titre="Version de dveloppement 3.2.0-rc1">
	<li>Implmentation d'une fentre de dialogue d'avertissment au moment de quitter. Cette fentre est dsactivable par une prfrence du fichier  v_sim.par  ou en cochant une case dans cette fentre.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-7">
	<li>Ajout d'un fonction d'import-export des donnes de plans. Le format retenu est un XML simple contenant la dfinition de la gomtrie du plan (normale et distance  l'origine), son tat de masquage et sa couleur. Elle contient pas toutefois si le plan est affich ou non.</li>
	<li>Implmentation des mouvements contraints selon les axes x, y ou z dans l'outils de dplacement des noeuds.</li>
	<li>Choix automatique de l'action associe  un onglet quand celui-ci est slectionn dans la dentre d'actions interactives.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-6">
	<li>Cration d'une nouvelle action permettant de dplacer les noeuds. On peut dplacer les noeuds en glisser-dposer dans le plan de l'cran.</li>
	<li>Ajout d'une exportation an ASCII avec le choix de sortir ou non les noeuds visibles.</li>
	<li>Addition d'une interface dans l'onglet des plans permettant le dplacement automatique du plan slectionn ( la manire du dfilement automatique dans l'onglet navigateur).</li>
	<li>Cration d'une nouvelle action pour marquer les noeuds (que l'on souhaite suivre...). Cette action dessine des cadres autours des lments.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-5">
	<li>Modifications internes supprimant les pointers globaux, notamment dans opengl.c et visu_data.c.</li>
	<li>VisuData est maintenant un GObject et hberge les signaux OpenGL, Nodes et Elements ; signaux auparavant dclars dans visu_object.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-4">
	<li>Dans la fentre de slecion, les distances repres restent affiches sur la fentre de rendu et ce aussi longtemps que dsir.</li>
	<li>Ajout d'une action de masquage des lments dans l'onglet de colorisation. Ce masquage est pilot par les valeurs lues dans une colonne du fichier de donnes associ.</li>
	<li>Possibilit de choisir par lment dessin le type de rendu (lisse,  fil de fer ...). Par exemple, on peut choisir de dessiner les atomes de faon lisse alors que les iso-surfaces sont affiches en fil de fer (ncessite GTK+2.6).</li>
	<li>Ajout d'une valeur permettant d'ajuster la puissance des lumires utilises dans l'onglet OpenGL. De plus, deux clairages prdfinis sont proposs : celui, classique, de la lumire unique et un nouveau, plus adapt au mode de rendu de spins, compos de quatre lumires.</li>
	<li>Ajout d'un mode de parcours de la liste des fichiers dans le navigateur. On peut dsormais ne lire la liste qu'une fois, en boucle aller-retour ou classiquement en boucle simple.</li>
	<li>Refonte de la bote de dialogue des fichiers de configuration : passage  des GtkComboBox et ajout de la compltion automatique.</li>
	<li>Mise  jour de la traduction franaise.</li>
	<li>Amlioration du mode minimal de slection (c'est--dire le mode par dfaut) en permettant les mesures de distances.</li>
	<li>Lors d'une session de slection/observation, les petites marques servant  identifier les rfrences (en mode slection), sont maintenant persistantes durant le mode d'observation et ce jusqu' ce que la session soit termine.</li>
	<li>Correction des bugs 2 et 75.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-3">
        <li>Le support en X11 de la fentre de rendue en mme temps que l'interface principale en GTK n'est plus support.</li>
        <li>Modifications de l'interface principale : les boutons en rapport avec le fichier rendu ont t dplacs dans la la barre de la fentre OpenGL.</li>
	<li>Passage  une GtkComboBox pour la gestion de la liste des onglets accessibles.</li>
	<li>Amlioration de la traduction franaise.</li>
	<li>Ajout d'une barre d'tat dans la fentre de rendu, permettant d'afficher des informations diverses dont le commentaire associ au fichier rendu par exemple. Ceci ne fonctionne qu'avec un rendu GTK.</li>
	<li>Ajout d'un mode pick minimal sur le troisime bouton comme comportement par dfaut.</li>
	</entry>

	<entry titre="Version de dveloppement 3.1.99-2">
	<li>Modification de l'interface dans l'onglet de navigation, et ajout du rpertoire courant affich.</li>
	<li>Ajout de l'exportation en JPEG et PNG via l'utilisation des GdkPixbuf.</li>
	<li>Modification de l'interface d'exportation pour permettre le choix d'options selon les formats de fichiers (qualit JPEG...), une case  cocher permettant d'ajouter automatiquement l'extension si besoin et une rglage possible de la taille de l'image  exporter.</li>
	</entry>
	
	<entry titre="Version de dveloppement 3.1.99-1">
	<li>Passage au mode  observe  par dfaut et de faon continue.</li>
	<li>Ajout d'une option de chargement automatique des fichiers de colorisation.</li>
	<li>Ajout de dgrads de couleurs prdfinis dans l'onglet de colorisation.</li>
	<li>Passage en ligne de commande des options de colorisation (fichier, colonne de donnes, dgrad prdfini...).</li>
	<li>Affichage de l'chelle de couleurs (onglet colorisation), mme si plusieurs canaux varient tant que cette variable ne fait intervenir qu'une seule colonne.</li>
	<li>Ajout du choix du masquage pour dans l'onglet des plans : union ou intersection. Ceci permet d'obtenir des volumes convexes.</li>
	<li>Passage des options de translation en ligne de commande.</li>
	</entry>

	</milestone>

	<milestone version="3.1" date="(09/2005)">

	<intro>Ce fichier rpertorie les changements introduits lors des versions permettant d'aboutir  la version 3.1. Cette version est marque par l'incorporation du trac d'isosurfaces  partir du code de Luc Billard VISUALIZE.</intro>

	<entry titre="Corrections 3.1.2" jour="06" mois="12" anne="2005">
	<li>Correction des bugs 68, 69, 70, 71, 72, 73 et 74.</li>
	<li>Passage par dfaut du bouton  enregistrer  dans l'exportation.</li>
	</entry>

	<entry titre="Corrections 3.1.1" jour="10" mois="10" anne="2005">
	<li>Correction des bugs 61, 62, 63, 64, 65, 66 et 67.</li>
	<li>Ajout d'un bouton qui recharge le rpertoire courant dans l'onglet de navigation.</li>
	<li>Changement du texte du bouton de fermeture de la fentre d'observation.</li>
	<li>Amlioration de la traduction fr.</li>
	<li>Autres modifications mineures.</li>
	</entry>
	
	<entry titre="Gnral">
	<li>
	Support de multiples fichiers en entre (exemple : un fichier de position et un fichier d'orientation des spins).
	</li>
	<li>
	Affichage dans la fentre de slection des atomes des coordonnes du fichier d'entre et non des coordonnes utilises par V_Sim pour le rendu.
	</li>
	<li>
	Ajout d'une fonctionnalit de trac de plans. Les plans permettent de masquer les noeuds des zones de la bote.
	</li>
	<li>
	Transfert des paramtres qui ont une tte de ressources vers le fichier de ressources.
	</li>
	<li>
	Amliorer le systme de lecture et d'criture des fichiers de paramtres et de ressources.
	</li>
	<li>
	Ajout du rendu de spin (reprsentation de flches), lecture des fichiers d'entre au travers de l'interface GTK ou sur la ligne de commande. le rendu des spins est effectu par des flches (cylindriques ou cubiques), les modifications de la gomtrie des flches sont possibles. Il y a aussi une coloration des spins en fonction de l'orientation.
	</li>
	<li>
	Incorporation du trac d'isosurfaces. Ces isosurfaces peuvent tre obtenues  partir de fichier dcrivant un champ scalaire par l'intgration de l'outil pot2surf.
	</li>
	<li>Ajout d'une lecture des chemins au dmarrage sous Windows : lecture d'un fichier v_sim.ii dans le rpetoire courant ou dans le rpertoire c:\windows.</li>
	</entry>

	<entry titre="Interface">
	<li>
	Les ressources des liaisons (couleurs, taille...) sont gres par type de liaisons et non plus de faon globale (avec tout de mme une valeur par dfaut).
	</li>
	<li>
	Passage  une vue GtkTreeView pour la liste des liaisons (permet la slection multiple pour appliquer des changements  plusieurs types de liaisons en mme temps, permet le tri...).
	</li>
	<li>
	Gestion de la couleur des liaisons au travers d'une liste droulante qui permet le stockage des couleurs dj rencontres.
	</li>
	<li>
	Support de la translation des noeuds  l'intrieur de la bote pour les botes priodiques.
	</li>
	<li>
	Ajout d'une zone pour stocker des informations lies  la mthode de rendu.
	</li>
	</entry>

	<entry titre="Diverses modifications pour les onglets">
	<li>
	Onglet  lments , support des couleurs dj rencontres au travers d'une liste droulante.
	</li>
	<li>
	Onglet  lments , passage  une GtkComboBox pour la slection des lments et nettoyage du code en rapport avec la slection des lments par nom et non par pointeur.
	</li>
	<li>
	Onglet  lments , ajout d'une ressources permettant de masquer ou non tous noeuds d'un mme lment.
	</li>
	<li>
	Onglet  navigateur , ajout d'un filtre des fichiers affichs.
	</li>
	<li>
	Onglet  coloration extrieure , affichage de la valeur min et de la valeur max associe au fichier charg.
	</li>
	<li>
	Onglet  plans , cration d'un onglet pour grer la cration, la modification et les oprations sur les plans.
	</li>
	<li>
	Onglet  configuration , ajout d'un facteur multiplicatif sur les GtkSpinButtons travaillant sur une grandeur physique.
	</li>
	</entry>

	<entry titre="Documentation">
	<li>Cette version a pour entry le support complet de la documentation pour l'API des fonctions basiques de V_Sim ; ainsi que la mise  jour du site web : VisuObject, visu_tools, visu_commandLine, visu_basic, visu_elements, visu_data, opengl, visu_rendering, visu_configFile, visu_extension, visu_pairs, visu_dump, visu_pickMesure.
	</li>
	</entry>

	</milestone>

	
  <milestone version="3.0" date="(03/2005)">

    <intro>Ce fichier rpertorie les changements introduits lors des versions permettant d'aboutir  la version 3.0.</intro>


    <entry titre="3.0" jour="22" mois="3" anne="2005">
      <li>Correction dans le code d'criture des fichiers tiff et gif sous Windows : les fichiers taient ouverts en criture seule (comprendre ascii simple) et la libc chappait tous les caractres 0x0a en rajoutant le caractre 0x0d devant. Il fallait ouvrir ces fichiers avec le flag 'b' pour demander une criture en binaire (merci aux lecteurs de LinuxFR pour cette explication).</li>
      <li>Corrections dans la partie d'initialisation d'OpenGL dpendant de la plateforme pour permettre le fonctionnement en ligne de commande sous Windows.</li>
      <li>Correction des bugs 25, 26 et 28.</li>
    </entry>
	
    <entry titre="3.0-rc4" jour="10" mois="03" anne="2005">
      <li>Ajout des enttes de licence en tte des fichiers *.c et *.h.</li>
      <li>Dplacement du fichier v_sim.par dans $(prefix)/etc/v_sim.</li>
      <li>Mise en place d'une documentation automatique de l'API grce  gtk-doc, 20% environ des fonctions sont documentes.</li>
      <li>Internationalisation de toutes les chanes de V_Sim (sauf les chanes de dbuggage) et traduction d'une petite partie de l'interface en franais.</li>
      <li>Passage  un systme gr par automake/autoconf et conformation aux recommendations GNU pour le contenu des packages.</li>
      <li>Modification mineur du logo : la barre verticale qui entoure  SIM  est remplace par un arc de cercle.</li>
      <li>Dcoupage du fichier opengl.c et isolement des fonctions dpendant du systme d'exploitation et du serveur graphique (principalement les appels GLX ou des vnements graphiques). Une interface simplifie de la gestion des vnements X est implmente dans visu_windowInterface.h ainsi qu'une interface ncessaire pour l'initialisation d'OpenGL dans visu_OSInterface.h.</li>
      <li>Ajout d'un support GTK pour la fentre de rendu.</li>
      <li>L'exportation en image se fait maintenant par un changement de contexte OpenGL vers un rendu indirect en mmoire et non plus par l'intermdiaire d'une fentre. Ainsi le problme de recouvrement qui ncessitait d'avoir la fentre non masque pour l'exportation est rsolu.</li>
      <li>Portage sous systmes Win32 et mise  jour du fichier readme. Le support du backingstore ne fonctionne pas sous Windows. Le dessin du nom des axes est aussi cass sur cette plateforme.</li>
      <li>Correction des bugs 1, 21 et 22.</li>
    </entry>
	
    <entry titre="3.0-rc3" jour="13" mois="02" anne="2005">
      <li>Ajout d'une fonction de coloration des atomes en fonction de valeurs passes dans un autre fichier.</li>
      <li>Ajout d'une fonction exprimentale de rotation de la camra sur elle-mme (modifications dans le fichier de ressources de la clef opengl_theta_phi qui devient opengl_theta_phi_omega).</li>
      <li>Ajout d'un format de fichier pour le rendu atomique not  xyz . Il n'y a pas de dfinition de la bote et le nom des atomes vient avant les trois coordonnes.</li>
      <li>Affichage de la licence et des auteurs en police monospace dans la fentre   propos .</li>
      <li>Correction des bugs 7, 8, 9, 11, 12, 14, 15, 16, 17, 18, 19, 20.</li>
    </entry>

    <entry titre="3.0-rc2" jour="10" mois="01" anne="2005">
      <li>Ajout des textes pour les auteurs et le readme dans la fentre de dialogue d'information et rorganisation de l'ordre des onglets.</li>
      <li>Ajout d'une partie install et uninstall dans le Makefile.</li>
      <li>Passage des variables de configuration par l'intermdiaire du Makefile.</li>
      <li>Changement des rpertoires des fichiers par dfaut : la licence, les exemples et autre documentation sont dans $(prefix)/share/doc/v_sim, les fichiers de configurations et les images dans $(prefix)/share/v_sim.</li>
      <li>Implmentation complte des liaisons cylindriques et remise de leur choix possible dans l'interface graphique.</li>
      <li>Correction d'un manque de rafrachissement de l'interface des liaisons lorsqu'un nouveau fichier de resources est lu.</li>
      <li>Correction des bugs 3, 4 et 5.</li>
    </entry>
	
    <entry titre="3.0-rc1" jour="07" mois="01" anne="2005">
      <li>Ajout d'icnes spcifiques pour l'ensemble des fentres de l'application.</li>
      <li>Ajout d'une aide textuelle quand on tape v_sim --help.</li>
      <li>Suppression des entres de dveloppement dans l'interface graphique (mthode de rendu des spins et liaison cylindriques).</li>
      <li>Suppression de la gestion de la liste des raccoursis vers les fichiers de resources dans l'onglet de configuration.</li>
      <li>Changement de tout les noms de visu_gl_gtk vers v_sim.</li>
    </entry>
  </milestone>
</ChangeLog>
